<?php
/**
 * File for class DhlApiStructAddressat
 * @package DhlApi
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20140325-01
 * @date 2015-02-05
 */
/**
 * This class stands for DhlApiStructAddressat originally named Addressat
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://dhl24.com.pl/webapi2.html}
 * @package DhlApi
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20140325-01
 * @date 2015-02-05
 */
class DhlApiStructAddressat extends DhlApiWsdlClass
{
    /**
     * The preaviso
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var DhlApiStructPreavisoContact
     */
    public $preaviso;
    /**
     * The contact
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var DhlApiStructPreavisoContact
     */
    public $contact;
    /**
     * The address
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var DhlApiStructAddress
     */
    public $address;
    /**
     * Constructor method for Addressat
     * @see parent::__construct()
     * @param DhlApiStructPreavisoContact $_preaviso
     * @param DhlApiStructPreavisoContact $_contact
     * @param DhlApiStructAddress $_address
     * @return DhlApiStructAddressat
     */
    public function __construct($_preaviso = NULL,$_contact = NULL,$_address = NULL)
    {
        parent::__construct(array('preaviso'=>$_preaviso,'contact'=>$_contact,'address'=>$_address),false);
    }
    /**
     * Get preaviso value
     * @return DhlApiStructPreavisoContact|null
     */
    public function getPreaviso()
    {
        return $this->preaviso;
    }
    /**
     * Set preaviso value
     * @param DhlApiStructPreavisoContact $_preaviso the preaviso
     * @return DhlApiStructPreavisoContact
     */
    public function setPreaviso($_preaviso)
    {
        return ($this->preaviso = $_preaviso);
    }
    /**
     * Get contact value
     * @return DhlApiStructPreavisoContact|null
     */
    public function getContact()
    {
        return $this->contact;
    }
    /**
     * Set contact value
     * @param DhlApiStructPreavisoContact $_contact the contact
     * @return DhlApiStructPreavisoContact
     */
    public function setContact($_contact)
    {
        return ($this->contact = $_contact);
    }
    /**
     * Get address value
     * @return DhlApiStructAddress|null
     */
    public function getAddress()
    {
        return $this->address;
    }
    /**
     * Set address value
     * @param DhlApiStructAddress $_address the address
     * @return DhlApiStructAddress
     */
    public function setAddress($_address)
    {
        return ($this->address = $_address);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see DhlApiWsdlClass::__set_state()
     * @uses DhlApiWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return DhlApiStructAddressat
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
